Loading...
Searching...
No Matches
dolfin::X3DOMParameters Class Reference

Class data to store X3DOM view parameters. More...

`#include <X3DOM.h>`

## Public Types

enum class | Representation { surface , surface_with_edges , wireframe }
| X3DOM representation type.

## Public Member Functions

| X3DOMParameters ()
| Constructor (with default parameter settings).
void | set_representation (Representation representation)
Representation | get_representation () const
std::array< double, 2 > | get_viewport_size () const
| Get the size of the viewport.
void | set_diffuse_color (std::array< double, 3 > rgb)
| Set the RGB color of the object.
std::array< double, 3 > | get_diffuse_color () const
| Get the RGB diffuse color of the object.
void | set_emissive_color (std::array< double, 3 > rgb)
| Set the RGB emissive color.
std::array< double, 3 > | get_emissive_color () const
| Get the RGB emissive color.
void | set_specular_color (std::array< double, 3 > rgb)
| Set the RGB specular color.
std::array< double, 3 > | get_specular_color () const
| Get the RGB specular color.
void | set_background_color (std::array< double, 3 > rgb)
| Set background RGB color.
std::array< double, 3 > | get_background_color () const
| Get background RGB color.
void | set_ambient_intensity (double intensity)
| Set the ambient lighting intensity.
double | get_ambient_intensity () const
| Get the ambient lighting intensity.
void | set_shininess (double shininess)
| Set the surface shininess of the object.
double | get_shininess () const
| Set the surface shininess of the object.
void | set_transparency (double transparency)
| Set the transparency (0-1).
double | get_transparency () const
| Get the transparency (0-1).
void | set_color_map (const std::vector< double > &color_data)
std::vector< double > | get_color_map () const
boost::multi_array< float, 2 > | get_color_map_array () const
| Get the color map as a boost::multi_array (256x3).
void | set_x3d_stats (bool show)
| Turn X3D 'statistics' window on/off.
bool | get_x3d_stats () const
| Get the state of the 'statistics' window.
void | set_menu_display (bool show)
| Toggle menu option.
bool | get_menu_display () const
| Get the menu display state.

## Detailed Description

Class data to store X3DOM view parameters.

## Member Function Documentation

## get_color_map()

std::vector< double > X3DOMParameters::get_color_map | ( |  | ) | const

Get the color map as a vector of 768 values (256*RGB) (using std::vector for Python compatibility via SWIG)

## get_representation()

X3DOMParameters::Representation X3DOMParameters::get_representation | ( |  | ) | const

Get the current representation of the object (wireframe, surface or surface_with_edges)

## set_color_map()

void X3DOMParameters::set_color_map | ( | const std::vector< double > & | color_data | ) |

Set the color map by supplying a vector of 768 values (256*RGB) (using std::vector for Python compatibility via SWIG)

## set_representation()

void X3DOMParameters::set_representation | ( | Representation | representation | ) |

Set representation of object (wireframe, surface or surface_with_edges)

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/X3DOM.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/X3DOM.cpp